Subject: RE: bug#7296: display-pixel-height not enough

From: "Drew Adams" <[email-masked]>
Date: Mon, 1 Nov 2010 08:09:20 -0700

> >> Could we, as a first step, do as Eli suggested, i.e. let
> >> display-pixel-height/width return the working area size instead of
> >> the total display size? Is there any reason not to do this now?
> 
> In what way can the working display area size in pixels be
> incompatible? And why is using the current total display area size
> better (and more compatible)?

It's not that one or the other is better; it's that they are different.  If you
change the meaning and return value of an existing function then you break
existing code.  If you want to add an additional function that returns some
other value that you find more useful, that's one thing.  Proposing to change
the existing function is something else again.